org.apache.sling.maven.slingstart

## Class ProjectHelper

- java.lang.Object
- - org.apache.sling.maven.slingstart.ProjectHelper

    public abstract class ProjectHelper
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`ProjectHelper()`

### Method Summary

All Methods Static Methods Concrete Methods
`static Map<String,String>` `getDependencyModel(org.apache.maven.project.MavenProject project)` Get the dependency model from the project
`static org.apache.sling.provisioning.model.Model` `getEffectiveModel(org.apache.maven.project.MavenProject project, org.apache.sling.provisioning.model.ModelUtility.ResolverOptions resolverOptions)` Get the effective model from the project
`static org.apache.sling.provisioning.model.Model` `getRawModel(org.apache.maven.project.MavenProject project)` Get the raw model from the project
`static void` `storeProjectInfo(ModelPreprocessor.ProjectInfo info)` Store all relevant information about the project for plugins to be retrieved

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ProjectHelper

    public ProjectHelper()

### Method Detail

#### storeProjectInfo

    public static void storeProjectInfo(ModelPreprocessor.ProjectInfo info)
                                 throws IOException

Store all relevant information about the project for plugins to be retrieved

Parameters:
  `info` - The project info
Throws:
  `IOException` - If writing fails

#### getEffectiveModel

    public static org.apache.sling.provisioning.model.Model getEffectiveModel(org.apache.maven.project.MavenProject project,
                                                                              org.apache.sling.provisioning.model.ModelUtility.ResolverOptions resolverOptions)
                                                                       throws org.apache.maven.plugin.MojoExecutionException

Get the effective model from the project

Parameters:
  `project` - The maven projet
Returns:
  The effective model
Throws:
  `org.apache.maven.plugin.MojoExecutionException` - If reading fails

#### getRawModel

    public static org.apache.sling.provisioning.model.Model getRawModel(org.apache.maven.project.MavenProject project)
                                                                 throws org.apache.maven.plugin.MojoExecutionException

Get the raw model from the project

Parameters:
  `project` - The maven projet
Returns:
  The raw local model
Throws:
  `org.apache.maven.plugin.MojoExecutionException` - If reading fails

#### getDependencyModel

    public static Map<String,String> getDependencyModel(org.apache.maven.project.MavenProject project)
                                                 throws org.apache.maven.plugin.MojoExecutionException

Get the dependency model from the project

Parameters:
  `project` - The maven projet
Returns:
  The dependency model
Throws:
  `org.apache.maven.plugin.MojoExecutionException` - If reading fails